package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderRefundListRequest struct {
	/*
	   查询条件     */
	BatchQueryRefundRequest *domain.AlibabaWdkOrderRefundListBatchQueryRefundRequest `json:"batch_query_refund_request,omitempty" required:"false" `
}

func (s *AlibabaWdkOrderRefundListRequest) SetBatchQueryRefundRequest(v domain.AlibabaWdkOrderRefundListBatchQueryRefundRequest) *AlibabaWdkOrderRefundListRequest {
	s.BatchQueryRefundRequest = &v
	return s
}

func (req *AlibabaWdkOrderRefundListRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.BatchQueryRefundRequest != nil {
		paramMap["batch_query_refund_request"] = util.ConvertStruct(*req.BatchQueryRefundRequest)
	}
	return paramMap
}

func (req *AlibabaWdkOrderRefundListRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
